import { ChangeDetectorRef, ElementRef, EventEmitter, NgZone } from '@angular/core';
import { Components } from '@cloudflare/realtimekit-ui';
import type { States as IRtkAiStates } from '@cloudflare/realtimekit-ui';
import type { States as IRtkAiToggleStates } from '@cloudflare/realtimekit-ui';
import type { PartialStateEvent as IRtkBreakoutRoomsManagerPartialStateEvent } from '@cloudflare/realtimekit-ui';
import type { PartialStateEvent as IRtkBreakoutRoomsTogglePartialStateEvent } from '@cloudflare/realtimekit-ui';
import type { States as IRtkBroadcastMessageModalStates } from '@cloudflare/realtimekit-ui';
import type { States as IRtkCameraToggleStates } from '@cloudflare/realtimekit-ui';
import type { States as IRtkCaptionToggleStates } from '@cloudflare/realtimekit-ui';
import type { States as IRtkChannelCreatorStates } from '@cloudflare/realtimekit-ui';
import type { IconPack as IRtkChannelSelectorViewIconPack } from '@cloudflare/realtimekit-ui';
import type { States as IRtkChatStates } from '@cloudflare/realtimekit-ui';
import type { RtkNewMessageEvent as IRtkChatComposerUiRtkNewMessageEvent } from '@cloudflare/realtimekit-ui';
import type { NewMessageEvent as IRtkChatComposerViewNewMessageEvent } from '@cloudflare/realtimekit-ui';
import type { Message as IRtkChatMessageMessage } from '@cloudflare/realtimekit-ui';
import type { Message as IRtkChatMessagesUiMessage } from '@cloudflare/realtimekit-ui';
import type { States as IRtkChatMessagesUiStates } from '@cloudflare/realtimekit-ui';
import type { TextMessage as IRtkChatMessagesUiPaginatedTextMessage } from '@cloudflare/realtimekit-ui';
import type { Message as IRtkChatMessagesUiPaginatedMessage } from '@cloudflare/realtimekit-ui';
import type { States as IRtkChatMessagesUiPaginatedStates } from '@cloudflare/realtimekit-ui';
import type { ChatGroupChangedType as IRtkChatSelectorUiChatGroupChangedType } from '@cloudflare/realtimekit-ui';
import type { States as IRtkChatToggleStates } from '@cloudflare/realtimekit-ui';
import type { States as IRtkConfirmationModalStates } from '@cloudflare/realtimekit-ui';
import type { States as IRtkDebuggerStates } from '@cloudflare/realtimekit-ui';
import type { States as IRtkDebuggerToggleStates } from '@cloudflare/realtimekit-ui';
import type { States as IRtkDialogManagerStates } from '@cloudflare/realtimekit-ui';
import type { States as IRtkFullscreenToggleStates } from '@cloudflare/realtimekit-ui';
import type { States as IRtkGridStates } from '@cloudflare/realtimekit-ui';
import type { States as IRtkImageMessageStates } from '@cloudflare/realtimekit-ui';
import type { States as IRtkJoinStageStates } from '@cloudflare/realtimekit-ui';
import type { States as IRtkLeaveButtonStates } from '@cloudflare/realtimekit-ui';
import type { States as IRtkLeaveMeetingStates } from '@cloudflare/realtimekit-ui';
import type { States as IRtkLivestreamToggleStates } from '@cloudflare/realtimekit-ui';
import type { States as IRtkMeetingStates } from '@cloudflare/realtimekit-ui';
import type { States as IRtkMicToggleStates } from '@cloudflare/realtimekit-ui';
import type { States as IRtkMoreToggleStates } from '@cloudflare/realtimekit-ui';
import type { States as IRtkMuteAllButtonStates } from '@cloudflare/realtimekit-ui';
import type { States as IRtkMuteAllConfirmationStates } from '@cloudflare/realtimekit-ui';
import type { States as IRtkOverlayModalStates } from '@cloudflare/realtimekit-ui';
import type { Peer as IRtkParticipantTilePeer } from '@cloudflare/realtimekit-ui';
import type { States as IRtkParticipantsStates } from '@cloudflare/realtimekit-ui';
import type { States as IRtkParticipantsToggleStates } from '@cloudflare/realtimekit-ui';
import type { States as IRtkPermissionsMessageStates } from '@cloudflare/realtimekit-ui';
import type { States as IRtkPipToggleStates } from '@cloudflare/realtimekit-ui';
import type { States as IRtkPluginsStates } from '@cloudflare/realtimekit-ui';
import type { States as IRtkPluginsToggleStates } from '@cloudflare/realtimekit-ui';
import type { PollObject as IRtkPollFormPollObject } from '@cloudflare/realtimekit-ui';
import type { States as IRtkPollsToggleStates } from '@cloudflare/realtimekit-ui';
import type { States as IRtkScreenShareToggleStates } from '@cloudflare/realtimekit-ui';
import type { States as IRtkScreenshareViewStates } from '@cloudflare/realtimekit-ui';
import type { Peer as IRtkScreenshareViewPeer } from '@cloudflare/realtimekit-ui';
import type { States as IRtkSettingsStates } from '@cloudflare/realtimekit-ui';
import type { States as IRtkSettingsAudioStates } from '@cloudflare/realtimekit-ui';
import type { States as IRtkSettingsToggleStates } from '@cloudflare/realtimekit-ui';
import type { States as IRtkSettingsVideoStates } from '@cloudflare/realtimekit-ui';
import type { States as IRtkSetupScreenStates } from '@cloudflare/realtimekit-ui';
import type { States as IRtkSidebarStates } from '@cloudflare/realtimekit-ui';
import type { States as IRtkStageStates } from '@cloudflare/realtimekit-ui';
import type { States as IRtkStageToggleStates } from '@cloudflare/realtimekit-ui';
import type { Tab as IRtkTabBarTab } from '@cloudflare/realtimekit-ui';
import type { States as IRtkUiProviderStates } from '@cloudflare/realtimekit-ui';
import * as i0 from "@angular/core";
export declare class RtkAi {
    protected z: NgZone;
    protected el: HTMLRtkAiElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkAi, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkAi, "rtk-ai", never, { "config": { "alias": "config"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; "view": { "alias": "view"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkAi extends Components.RtkAi {
    /**
     * Emits updated state data
     */
    rtkStateUpdate: EventEmitter<CustomEvent<IRtkAiStates>>;
}
export declare class RtkAiToggle {
    protected z: NgZone;
    protected el: HTMLRtkAiToggleElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkAiToggle, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkAiToggle, "rtk-ai-toggle", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkAiToggle extends Components.RtkAiToggle {
    /**
     * Emits updated state data
     */
    rtkStateUpdate: EventEmitter<CustomEvent<IRtkAiToggleStates>>;
}
export declare class RtkAiTranscriptions {
    protected z: NgZone;
    protected el: HTMLRtkAiTranscriptionsElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkAiTranscriptions, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkAiTranscriptions, "rtk-ai-transcriptions", never, { "initialTranscriptions": { "alias": "initialTranscriptions"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkAiTranscriptions extends Components.RtkAiTranscriptions {
}
export declare class RtkAudioGrid {
    protected z: NgZone;
    protected el: HTMLRtkAudioGridElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkAudioGrid, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkAudioGrid, "rtk-audio-grid", never, { "config": { "alias": "config"; "required": false; }; "hideSelf": { "alias": "hideSelf"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkAudioGrid extends Components.RtkAudioGrid {
}
export declare class RtkAudioTile {
    protected z: NgZone;
    protected el: HTMLRtkAudioTileElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkAudioTile, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkAudioTile, "rtk-audio-tile", never, { "config": { "alias": "config"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "participant": { "alias": "participant"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkAudioTile extends Components.RtkAudioTile {
}
export declare class RtkAudioVisualizer {
    protected z: NgZone;
    protected el: HTMLRtkAudioVisualizerElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkAudioVisualizer, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkAudioVisualizer, "rtk-audio-visualizer", never, { "hideMuted": { "alias": "hideMuted"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "isScreenShare": { "alias": "isScreenShare"; "required": false; }; "participant": { "alias": "participant"; "required": false; }; "size": { "alias": "size"; "required": false; }; "t": { "alias": "t"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkAudioVisualizer extends Components.RtkAudioVisualizer {
}
export declare class RtkAvatar {
    protected z: NgZone;
    protected el: HTMLRtkAvatarElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkAvatar, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkAvatar, "rtk-avatar", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "participant": { "alias": "participant"; "required": false; }; "size": { "alias": "size"; "required": false; }; "t": { "alias": "t"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkAvatar extends Components.RtkAvatar {
}
export declare class RtkBreakoutRoomManager {
    protected z: NgZone;
    protected el: HTMLRtkBreakoutRoomManagerElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkBreakoutRoomManager, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkBreakoutRoomManager, "rtk-breakout-room-manager", never, { "allowDelete": { "alias": "allowDelete"; "required": false; }; "assigningParticipants": { "alias": "assigningParticipants"; "required": false; }; "defaultExpanded": { "alias": "defaultExpanded"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "isDragMode": { "alias": "isDragMode"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "mode": { "alias": "mode"; "required": false; }; "room": { "alias": "room"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkBreakoutRoomManager extends Components.RtkBreakoutRoomManager {
    /**
     * Event for adding a participant
     */
    participantsAdd: EventEmitter<CustomEvent<null>>;
    /**
     * On Delete event emitter
     */
    participantDelete: EventEmitter<CustomEvent<{
        customParticipantId: string;
    }>>;
    /**
     * Event for joining a room
     */
    roomJoin: EventEmitter<CustomEvent<null>>;
    /**
     * Event for deleting room
     */
    delete: EventEmitter<CustomEvent<string>>;
    /**
     * Event for updating room details
     */
    update: EventEmitter<CustomEvent<{
        title: string | undefined;
        id: string;
    }>>;
}
export declare class RtkBreakoutRoomParticipants {
    protected z: NgZone;
    protected el: HTMLRtkBreakoutRoomParticipantsElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkBreakoutRoomParticipants, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkBreakoutRoomParticipants, "rtk-breakout-room-participants", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "participantIds": { "alias": "participantIds"; "required": false; }; "selectedParticipantIds": { "alias": "selectedParticipantIds"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkBreakoutRoomParticipants extends Components.RtkBreakoutRoomParticipants {
    /**
     * Emits an event when selected participants are updated
     */
    selectedParticipantsUpdate: EventEmitter<CustomEvent<string[]>>;
    /**
     * Emits an event when all participants are selected or deselected
     */
    allParticipantsToggleUpdate: EventEmitter<CustomEvent<string[]>>;
    /**
     * Emits an event when participants are dragged
     */
    participantsDragging: EventEmitter<CustomEvent<boolean>>;
}
export declare class RtkBreakoutRoomsManager {
    protected z: NgZone;
    protected el: HTMLRtkBreakoutRoomsManagerElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkBreakoutRoomsManager, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkBreakoutRoomsManager, "rtk-breakout-rooms-manager", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkBreakoutRoomsManager extends Components.RtkBreakoutRoomsManager {
    /**
     * Emits updated state data
     */
    rtkStateUpdate: EventEmitter<CustomEvent<IRtkBreakoutRoomsManagerPartialStateEvent>>;
}
export declare class RtkBreakoutRoomsToggle {
    protected z: NgZone;
    protected el: HTMLRtkBreakoutRoomsToggleElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkBreakoutRoomsToggle, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkBreakoutRoomsToggle, "rtk-breakout-rooms-toggle", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkBreakoutRoomsToggle extends Components.RtkBreakoutRoomsToggle {
    /**
     * Emits updated state data
     */
    rtkStateUpdate: EventEmitter<CustomEvent<IRtkBreakoutRoomsTogglePartialStateEvent>>;
}
export declare class RtkBroadcastMessageModal {
    protected z: NgZone;
    protected el: HTMLRtkBroadcastMessageModalElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkBroadcastMessageModal, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkBroadcastMessageModal, "rtk-broadcast-message-modal", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkBroadcastMessageModal extends Components.RtkBroadcastMessageModal {
    /**
     * Emits updated state data
     */
    rtkStateUpdate: EventEmitter<CustomEvent<IRtkBroadcastMessageModalStates>>;
}
export declare class RtkButton {
    protected z: NgZone;
    protected el: HTMLRtkButtonElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkButton, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkButton, "rtk-button", never, { "disabled": { "alias": "disabled"; "required": false; }; "kind": { "alias": "kind"; "required": false; }; "reverse": { "alias": "reverse"; "required": false; }; "size": { "alias": "size"; "required": false; }; "type": { "alias": "type"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkButton extends Components.RtkButton {
}
export declare class RtkCameraSelector {
    protected z: NgZone;
    protected el: HTMLRtkCameraSelectorElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkCameraSelector, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkCameraSelector, "rtk-camera-selector", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "t": { "alias": "t"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkCameraSelector extends Components.RtkCameraSelector {
}
export declare class RtkCameraToggle {
    protected z: NgZone;
    protected el: HTMLRtkCameraToggleElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkCameraToggle, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkCameraToggle, "rtk-camera-toggle", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "t": { "alias": "t"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkCameraToggle extends Components.RtkCameraToggle {
    /**
     * Emits updated state data
     */
    rtkStateUpdate: EventEmitter<CustomEvent<IRtkCameraToggleStates>>;
}
export declare class RtkCaptionToggle {
    protected z: NgZone;
    protected el: HTMLRtkCaptionToggleElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkCaptionToggle, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkCaptionToggle, "rtk-caption-toggle", never, { "config": { "alias": "config"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkCaptionToggle extends Components.RtkCaptionToggle {
    /**
     * Emits updated state data
     */
    rtkStateUpdate: EventEmitter<CustomEvent<IRtkCaptionToggleStates>>;
}
export declare class RtkChannelCreator {
    protected z: NgZone;
    protected el: HTMLRtkChannelCreatorElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkChannelCreator, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkChannelCreator, "rtk-channel-creator", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkChannelCreator extends Components.RtkChannelCreator {
    /**
     * Emits updated state data
     */
    rtkStateUpdate: EventEmitter<CustomEvent<IRtkChannelCreatorStates>>;
    /**
     * Emits event to switch channel
     */
    switchChannel: EventEmitter<CustomEvent<string>>;
}
export declare class RtkChannelDetails {
    protected z: NgZone;
    protected el: HTMLRtkChannelDetailsElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkChannelDetails, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkChannelDetails, "rtk-channel-details", never, { "channel": { "alias": "channel"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "members": { "alias": "members"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkChannelDetails extends Components.RtkChannelDetails {
}
export declare class RtkChannelHeader {
    protected z: NgZone;
    protected el: HTMLRtkChannelHeaderElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkChannelHeader, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkChannelHeader, "rtk-channel-header", never, { "channel": { "alias": "channel"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "showBackButton": { "alias": "showBackButton"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkChannelHeader extends Components.RtkChannelHeader {
    /**
     * event triggered for search
     */
    search: EventEmitter<CustomEvent<string>>;
    /**
     * event triggered for search
     */
    searchDismissed: EventEmitter<CustomEvent<any>>;
    /**
     * Event emitted when back button is clicked
     */
    back: EventEmitter<CustomEvent<void>>;
}
export declare class RtkChannelSelectorUi {
    protected z: NgZone;
    protected el: HTMLRtkChannelSelectorUiElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkChannelSelectorUi, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkChannelSelectorUi, "rtk-channel-selector-ui", never, { "channels": { "alias": "channels"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "selectedChannelId": { "alias": "selectedChannelId"; "required": false; }; "showRecentMessage": { "alias": "showRecentMessage"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkChannelSelectorUi extends Components.RtkChannelSelectorUi {
    /**
     * On channel changed
     */
    channelChanged: EventEmitter<CustomEvent<string>>;
}
export declare class RtkChannelSelectorView {
    protected z: NgZone;
    protected el: HTMLRtkChannelSelectorViewElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkChannelSelectorView, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkChannelSelectorView, "rtk-channel-selector-view", never, { "channels": { "alias": "channels"; "required": false; }; "disableSearch": { "alias": "disableSearch"; "required": false; }; "hideAvatar": { "alias": "hideAvatar"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "selectedChannelId": { "alias": "selectedChannelId"; "required": false; }; "t": { "alias": "t"; "required": false; }; "viewAs": { "alias": "viewAs"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkChannelSelectorView extends Components.RtkChannelSelectorView {
    /**
     * Event emitted when selected channel changes
     */
    channelChange: EventEmitter<CustomEvent<{
        id: string;
        name: string;
        avatarUrl?: string;
        icon?: keyof IRtkChannelSelectorViewIconPack;
        latestMessage?: string;
        latestMessageTime?: Date;
        unreadCount?: number;
    }>>;
}
export declare class RtkChat {
    protected z: NgZone;
    protected el: HTMLRtkChatElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkChat, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkChat, "rtk-chat", never, { "config": { "alias": "config"; "required": false; }; "disablePrivateChat": { "alias": "disablePrivateChat"; "required": false; }; "displayFilter": { "alias": "displayFilter"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "privatePresetFilter": { "alias": "privatePresetFilter"; "required": false; }; "size": { "alias": "size"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkChat extends Components.RtkChat {
    /**
     * Emits updated state data
     */
    rtkStateUpdate: EventEmitter<CustomEvent<IRtkChatStates>>;
}
export declare class RtkChatComposerUi {
    protected z: NgZone;
    protected el: HTMLRtkChatComposerUiElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkChatComposerUi, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkChatComposerUi, "rtk-chat-composer-ui", never, { "canSendFiles": { "alias": "canSendFiles"; "required": false; }; "canSendTextMessage": { "alias": "canSendTextMessage"; "required": false; }; "channelId": { "alias": "channelId"; "required": false; }; "disableEmojiPicker": { "alias": "disableEmojiPicker"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "members": { "alias": "members"; "required": false; }; "prefill": { "alias": "prefill"; "required": false; }; "size": { "alias": "size"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkChatComposerUi extends Components.RtkChatComposerUi {
    /**
     * Event emitted when new message is submitted
     */
    rtkNewMessage: EventEmitter<CustomEvent<IRtkChatComposerUiRtkNewMessageEvent>>;
    /**
     * Event emitted when message is edited
     */
    rtkEditMessage: EventEmitter<CustomEvent<{
        id: string;
        message: string;
        channelId?: string;
    }>>;
    /**
     * Event emitted when message editing is cancelled
     */
    rtkEditCancelled: EventEmitter<CustomEvent<any>>;
}
export declare class RtkChatComposerView {
    protected z: NgZone;
    protected el: HTMLRtkChatComposerViewElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkChatComposerView, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkChatComposerView, "rtk-chat-composer-view", never, { "canSendFiles": { "alias": "canSendFiles"; "required": false; }; "canSendTextMessage": { "alias": "canSendTextMessage"; "required": false; }; "disableEmojiPicker": { "alias": "disableEmojiPicker"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "inputTextPlaceholder": { "alias": "inputTextPlaceholder"; "required": false; }; "isEditing": { "alias": "isEditing"; "required": false; }; "maxLength": { "alias": "maxLength"; "required": false; }; "message": { "alias": "message"; "required": false; }; "quotedMessage": { "alias": "quotedMessage"; "required": false; }; "rateLimits": { "alias": "rateLimits"; "required": false; }; "storageKey": { "alias": "storageKey"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkChatComposerView extends Components.RtkChatComposerView {
    /**
     * Event emitted when new message is submitted
     */
    newMessage: EventEmitter<CustomEvent<IRtkChatComposerViewNewMessageEvent>>;
    /**
     * Event emitted when message is edited
     */
    editMessage: EventEmitter<CustomEvent<string>>;
    /**
     * Event emitted when message editing is cancelled
     */
    editCancel: EventEmitter<CustomEvent<void>>;
    /**
     * Event emitted when quoted message is dismissed
     */
    quotedMessageDismiss: EventEmitter<CustomEvent<void>>;
}
export declare class RtkChatMessage {
    protected z: NgZone;
    protected el: HTMLRtkChatMessageElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkChatMessage, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkChatMessage, "rtk-chat-message", never, { "alignRight": { "alias": "alignRight"; "required": false; }; "canDelete": { "alias": "canDelete"; "required": false; }; "canEdit": { "alias": "canEdit"; "required": false; }; "canPin": { "alias": "canPin"; "required": false; }; "canReply": { "alias": "canReply"; "required": false; }; "child": { "alias": "child"; "required": false; }; "disableControls": { "alias": "disableControls"; "required": false; }; "hideAvatar": { "alias": "hideAvatar"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "isContinued": { "alias": "isContinued"; "required": false; }; "isSelf": { "alias": "isSelf"; "required": false; }; "isUnread": { "alias": "isUnread"; "required": false; }; "leftAlign": { "alias": "leftAlign"; "required": false; }; "message": { "alias": "message"; "required": false; }; "senderDisplayPicture": { "alias": "senderDisplayPicture"; "required": false; }; "size": { "alias": "size"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkChatMessage extends Components.RtkChatMessage {
    /**
     * Event for when edit is clicked on a message
     */
    edit: EventEmitter<CustomEvent<IRtkChatMessageMessage>>;
    /**
     * Event for when reply is clicked on a message
     */
    reply: EventEmitter<CustomEvent<IRtkChatMessageMessage>>;
    /**
     * Event for when pin is clicked on a message
     */
    pin: EventEmitter<CustomEvent<IRtkChatMessageMessage>>;
    /**
     * Event for when edit is clicked on a message
     */
    delete: EventEmitter<CustomEvent<IRtkChatMessageMessage>>;
}
export declare class RtkChatMessagesUi {
    protected z: NgZone;
    protected el: HTMLRtkChatMessagesUiElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkChatMessagesUi, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkChatMessagesUi, "rtk-chat-messages-ui", never, { "canPinMessages": { "alias": "canPinMessages"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "messages": { "alias": "messages"; "required": false; }; "selectedGroup": { "alias": "selectedGroup"; "required": false; }; "selfUserId": { "alias": "selfUserId"; "required": false; }; "size": { "alias": "size"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkChatMessagesUi extends Components.RtkChatMessagesUi {
    /**
     * Event emitted when a message is pinned or unpinned
     */
    pinMessage: EventEmitter<CustomEvent<IRtkChatMessagesUiMessage>>;
    /**
     * Emits updated state data
     */
    rtkStateUpdate: EventEmitter<CustomEvent<IRtkChatMessagesUiStates>>;
}
export declare class RtkChatMessagesUiPaginated {
    protected z: NgZone;
    protected el: HTMLRtkChatMessagesUiPaginatedElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkChatMessagesUiPaginated, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkChatMessagesUiPaginated, "rtk-chat-messages-ui-paginated", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "leftAlign": { "alias": "leftAlign"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "selectedChannel": { "alias": "selectedChannel"; "required": false; }; "selectedChannelId": { "alias": "selectedChannelId"; "required": false; }; "size": { "alias": "size"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkChatMessagesUiPaginated extends Components.RtkChatMessagesUiPaginated {
    /**
     * Event for editing a message
     */
    editMessageInit: EventEmitter<CustomEvent<{
        payload: IRtkChatMessagesUiPaginatedTextMessage;
        flags: {
            isReply?: boolean;
            isEdit?: boolean;
        };
    }>>;
    /**
     * Event emitted when a message is pinned or unpinned
     */
    pinMessage: EventEmitter<CustomEvent<IRtkChatMessagesUiPaginatedMessage>>;
    /**
     * Event emitted when a message is deleted
     */
    deleteMessage: EventEmitter<CustomEvent<IRtkChatMessagesUiPaginatedMessage>>;
    /**
     * Emits updated state data
     */
    rtkStateUpdate: EventEmitter<CustomEvent<IRtkChatMessagesUiPaginatedStates>>;
}
export declare class RtkChatSearchResults {
    protected z: NgZone;
    protected el: HTMLRtkChatSearchResultsElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkChatSearchResults, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkChatSearchResults, "rtk-chat-search-results", never, { "channelId": { "alias": "channelId"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "query": { "alias": "query"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkChatSearchResults extends Components.RtkChatSearchResults {
}
export declare class RtkChatSelectorUi {
    protected z: NgZone;
    protected el: HTMLRtkChatSelectorUiElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkChatSelectorUi, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkChatSelectorUi, "rtk-chat-selector-ui", never, { "groups": { "alias": "groups"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "selectedGroupId": { "alias": "selectedGroupId"; "required": false; }; "selfUserId": { "alias": "selfUserId"; "required": false; }; "t": { "alias": "t"; "required": false; }; "unreadCounts": { "alias": "unreadCounts"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkChatSelectorUi extends Components.RtkChatSelectorUi {
    /**
     * Event emitted when chat scope is changed
     */
    rtkChatGroupChanged: EventEmitter<CustomEvent<IRtkChatSelectorUiChatGroupChangedType>>;
}
export declare class RtkChatToggle {
    protected z: NgZone;
    protected el: HTMLRtkChatToggleElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkChatToggle, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkChatToggle, "rtk-chat-toggle", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkChatToggle extends Components.RtkChatToggle {
    /**
     * Emits updated state data
     */
    rtkStateUpdate: EventEmitter<CustomEvent<IRtkChatToggleStates>>;
}
export declare class RtkClock {
    protected z: NgZone;
    protected el: HTMLRtkClockElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkClock, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkClock, "rtk-clock", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkClock extends Components.RtkClock {
}
export declare class RtkConfirmationModal {
    protected z: NgZone;
    protected el: HTMLRtkConfirmationModalElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkConfirmationModal, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkConfirmationModal, "rtk-confirmation-modal", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkConfirmationModal extends Components.RtkConfirmationModal {
    /**
     * Emits updated state data
     */
    rtkStateUpdate: EventEmitter<CustomEvent<IRtkConfirmationModalStates>>;
}
export declare class RtkControlbar {
    protected z: NgZone;
    protected el: HTMLRtkControlbarElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkControlbar, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkControlbar, "rtk-controlbar", never, { "config": { "alias": "config"; "required": false; }; "disableRender": { "alias": "disableRender"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkControlbar extends Components.RtkControlbar {
}
export declare class RtkControlbarButton {
    protected z: NgZone;
    protected el: HTMLRtkControlbarButtonElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkControlbarButton, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkControlbarButton, "rtk-controlbar-button", never, { "brandIcon": { "alias": "brandIcon"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "icon": { "alias": "icon"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "isLoading": { "alias": "isLoading"; "required": false; }; "label": { "alias": "label"; "required": false; }; "showWarning": { "alias": "showWarning"; "required": false; }; "size": { "alias": "size"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkControlbarButton extends Components.RtkControlbarButton {
}
export declare class RtkCounter {
    protected z: NgZone;
    protected el: HTMLRtkCounterElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkCounter, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkCounter, "rtk-counter", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "minValue": { "alias": "minValue"; "required": false; }; "size": { "alias": "size"; "required": false; }; "t": { "alias": "t"; "required": false; }; "value": { "alias": "value"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkCounter extends Components.RtkCounter {
    /**
     * On change event emitter
     */
    valueChange: EventEmitter<CustomEvent<string>>;
}
export declare class RtkDebugger {
    protected z: NgZone;
    protected el: HTMLRtkDebuggerElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkDebugger, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkDebugger, "rtk-debugger", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkDebugger extends Components.RtkDebugger {
    /**
     * Emits updated state data
     */
    rtkStateUpdate: EventEmitter<CustomEvent<IRtkDebuggerStates>>;
}
export declare class RtkDebuggerAudio {
    protected z: NgZone;
    protected el: HTMLRtkDebuggerAudioElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkDebuggerAudio, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkDebuggerAudio, "rtk-debugger-audio", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkDebuggerAudio extends Components.RtkDebuggerAudio {
}
export declare class RtkDebuggerScreenshare {
    protected z: NgZone;
    protected el: HTMLRtkDebuggerScreenshareElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkDebuggerScreenshare, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkDebuggerScreenshare, "rtk-debugger-screenshare", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkDebuggerScreenshare extends Components.RtkDebuggerScreenshare {
}
export declare class RtkDebuggerSystem {
    protected z: NgZone;
    protected el: HTMLRtkDebuggerSystemElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkDebuggerSystem, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkDebuggerSystem, "rtk-debugger-system", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkDebuggerSystem extends Components.RtkDebuggerSystem {
}
export declare class RtkDebuggerToggle {
    protected z: NgZone;
    protected el: HTMLRtkDebuggerToggleElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkDebuggerToggle, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkDebuggerToggle, "rtk-debugger-toggle", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkDebuggerToggle extends Components.RtkDebuggerToggle {
    /**
     * Emits updated state data
     */
    rtkStateUpdate: EventEmitter<CustomEvent<IRtkDebuggerToggleStates>>;
}
export declare class RtkDebuggerVideo {
    protected z: NgZone;
    protected el: HTMLRtkDebuggerVideoElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkDebuggerVideo, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkDebuggerVideo, "rtk-debugger-video", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkDebuggerVideo extends Components.RtkDebuggerVideo {
}
export declare class RtkDialog {
    protected z: NgZone;
    protected el: HTMLRtkDialogElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkDialog, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkDialog, "rtk-dialog", never, { "config": { "alias": "config"; "required": false; }; "disableEscapeKey": { "alias": "disableEscapeKey"; "required": false; }; "hideCloseButton": { "alias": "hideCloseButton"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "open": { "alias": "open"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkDialog extends Components.RtkDialog {
    /**
     * Event emitted when dialog is closed
     */
    rtkDialogClose: EventEmitter<CustomEvent<any>>;
}
export declare class RtkDialogManager {
    protected z: NgZone;
    protected el: HTMLRtkDialogManagerElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkDialogManager, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkDialogManager, "rtk-dialog-manager", never, { "config": { "alias": "config"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkDialogManager extends Components.RtkDialogManager {
    /**
     * Emits updated state data
     */
    rtkStateUpdate: EventEmitter<CustomEvent<IRtkDialogManagerStates>>;
}
export declare class RtkDraftAttachmentView {
    protected z: NgZone;
    protected el: HTMLRtkDraftAttachmentViewElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkDraftAttachmentView, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkDraftAttachmentView, "rtk-draft-attachment-view", never, { "attachment": { "alias": "attachment"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkDraftAttachmentView extends Components.RtkDraftAttachmentView {
    /**
     * Event triggered when the attachment is deleted
     */
    deleteAttachment: EventEmitter<CustomEvent<any>>;
}
export declare class RtkEmojiPicker {
    protected z: NgZone;
    protected el: HTMLRtkEmojiPickerElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkEmojiPicker, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkEmojiPicker, "rtk-emoji-picker", never, { "focusWhenOpened": { "alias": "focusWhenOpened"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkEmojiPicker extends Components.RtkEmojiPicker {
    /**
     * Close event
     */
    pickerClose: EventEmitter<CustomEvent<void>>;
    /**
     * Event which is emitted when an Emoji is clicked
     */
    rtkEmojiClicked: EventEmitter<CustomEvent<string>>;
}
export declare class RtkEmojiPickerButton {
    protected z: NgZone;
    protected el: HTMLRtkEmojiPickerButtonElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkEmojiPickerButton, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkEmojiPickerButton, "rtk-emoji-picker-button", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "isActive": { "alias": "isActive"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkEmojiPickerButton extends Components.RtkEmojiPickerButton {
}
export declare class RtkEndedScreen {
    protected z: NgZone;
    protected el: HTMLRtkEndedScreenElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkEndedScreen, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkEndedScreen, "rtk-ended-screen", never, { "config": { "alias": "config"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkEndedScreen extends Components.RtkEndedScreen {
}
export declare class RtkFileDropzone {
    protected z: NgZone;
    protected el: HTMLRtkFileDropzoneElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkFileDropzone, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkFileDropzone, "rtk-file-dropzone", never, { "hostEl": { "alias": "hostEl"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkFileDropzone extends Components.RtkFileDropzone {
    /**
     * drop event callback
     */
    dropCallback: EventEmitter<CustomEvent<DragEvent>>;
}
export declare class RtkFileMessage {
    protected z: NgZone;
    protected el: HTMLRtkFileMessageElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkFileMessage, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkFileMessage, "rtk-file-message", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "isContinued": { "alias": "isContinued"; "required": false; }; "message": { "alias": "message"; "required": false; }; "now": { "alias": "now"; "required": false; }; "showBubble": { "alias": "showBubble"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkFileMessage extends Components.RtkFileMessage {
}
export declare class RtkFileMessageView {
    protected z: NgZone;
    protected el: HTMLRtkFileMessageViewElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkFileMessageView, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkFileMessageView, "rtk-file-message-view", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "name": { "alias": "name"; "required": false; }; "size": { "alias": "size"; "required": false; }; "url": { "alias": "url"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkFileMessageView extends Components.RtkFileMessageView {
}
export declare class RtkFilePickerButton {
    protected z: NgZone;
    protected el: HTMLRtkFilePickerButtonElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkFilePickerButton, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkFilePickerButton, "rtk-file-picker-button", never, { "filter": { "alias": "filter"; "required": false; }; "icon": { "alias": "icon"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "label": { "alias": "label"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkFilePickerButton extends Components.RtkFilePickerButton {
    /**
     * Event when a file is selected for upload
     */
    fileChange: EventEmitter<CustomEvent<File>>;
}
export declare class RtkFullscreenToggle {
    protected z: NgZone;
    protected el: HTMLRtkFullscreenToggleElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkFullscreenToggle, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkFullscreenToggle, "rtk-fullscreen-toggle", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; "targetElement": { "alias": "targetElement"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkFullscreenToggle extends Components.RtkFullscreenToggle {
    /**
     * Emits updated state data
     */
    rtkStateUpdate: EventEmitter<CustomEvent<IRtkFullscreenToggleStates>>;
}
export declare class RtkGrid {
    protected z: NgZone;
    protected el: HTMLRtkGridElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkGrid, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkGrid, "rtk-grid", never, { "aspectRatio": { "alias": "aspectRatio"; "required": false; }; "config": { "alias": "config"; "required": false; }; "gap": { "alias": "gap"; "required": false; }; "gridSize": { "alias": "gridSize"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "layout": { "alias": "layout"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "overrides": { "alias": "overrides"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkGrid extends Components.RtkGrid {
    /**
     * Emits updated state data
     */
    rtkStateUpdate: EventEmitter<CustomEvent<IRtkGridStates>>;
}
export declare class RtkGridPagination {
    protected z: NgZone;
    protected el: HTMLRtkGridPaginationElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkGridPagination, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkGridPagination, "rtk-grid-pagination", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkGridPagination extends Components.RtkGridPagination {
}
export declare class RtkHeader {
    protected z: NgZone;
    protected el: HTMLRtkHeaderElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkHeader, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkHeader, "rtk-header", never, { "config": { "alias": "config"; "required": false; }; "disableRender": { "alias": "disableRender"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkHeader extends Components.RtkHeader {
}
export declare class RtkIcon {
    protected z: NgZone;
    protected el: HTMLRtkIconElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkIcon, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkIcon, "rtk-icon", never, { "icon": { "alias": "icon"; "required": false; }; "size": { "alias": "size"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkIcon extends Components.RtkIcon {
}
export declare class RtkIdleScreen {
    protected z: NgZone;
    protected el: HTMLRtkIdleScreenElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkIdleScreen, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkIdleScreen, "rtk-idle-screen", never, { "config": { "alias": "config"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkIdleScreen extends Components.RtkIdleScreen {
}
export declare class RtkImageMessage {
    protected z: NgZone;
    protected el: HTMLRtkImageMessageElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkImageMessage, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkImageMessage, "rtk-image-message", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "isContinued": { "alias": "isContinued"; "required": false; }; "message": { "alias": "message"; "required": false; }; "now": { "alias": "now"; "required": false; }; "showBubble": { "alias": "showBubble"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkImageMessage extends Components.RtkImageMessage {
    /**
     * Emits updated state data
     */
    rtkStateUpdate: EventEmitter<CustomEvent<IRtkImageMessageStates>>;
}
export declare class RtkImageMessageView {
    protected z: NgZone;
    protected el: HTMLRtkImageMessageViewElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkImageMessageView, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkImageMessageView, "rtk-image-message-view", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "t": { "alias": "t"; "required": false; }; "url": { "alias": "url"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkImageMessageView extends Components.RtkImageMessageView {
    /**
     * preview event
     */
    preview: EventEmitter<CustomEvent<string>>;
}
export declare class RtkImageViewer {
    protected z: NgZone;
    protected el: HTMLRtkImageViewerElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkImageViewer, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkImageViewer, "rtk-image-viewer", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "image": { "alias": "image"; "required": false; }; "size": { "alias": "size"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkImageViewer extends Components.RtkImageViewer {
    /**
     * Emitted when viewer should be closed
     */
    close: EventEmitter<CustomEvent<void>>;
}
export declare class RtkInformationTooltip {
    protected z: NgZone;
    protected el: HTMLRtkInformationTooltipElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkInformationTooltip, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkInformationTooltip, "rtk-information-tooltip", never, { "iconPack": { "alias": "iconPack"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkInformationTooltip extends Components.RtkInformationTooltip {
}
export declare class RtkJoinStage {
    protected z: NgZone;
    protected el: HTMLRtkJoinStageElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkJoinStage, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkJoinStage, "rtk-join-stage", never, { "config": { "alias": "config"; "required": false; }; "dataConfig": { "alias": "dataConfig"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkJoinStage extends Components.RtkJoinStage {
    /**
     * Emits updated state data
     */
    rtkStateUpdate: EventEmitter<CustomEvent<IRtkJoinStageStates>>;
    /**
     * Event which is emitted when user confirms joining stage
     */
    rtkJoinStage: EventEmitter<CustomEvent<void>>;
    /**
     * Event which is emitted when user cancel joining stage
     */
    rtkLeaveStage: EventEmitter<CustomEvent<void>>;
}
export declare class RtkLeaveButton {
    protected z: NgZone;
    protected el: HTMLRtkLeaveButtonElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkLeaveButton, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkLeaveButton, "rtk-leave-button", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "size": { "alias": "size"; "required": false; }; "t": { "alias": "t"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkLeaveButton extends Components.RtkLeaveButton {
    /**
     * Emits updated state data
     */
    rtkStateUpdate: EventEmitter<CustomEvent<IRtkLeaveButtonStates>>;
}
export declare class RtkLeaveMeeting {
    protected z: NgZone;
    protected el: HTMLRtkLeaveMeetingElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkLeaveMeeting, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkLeaveMeeting, "rtk-leave-meeting", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkLeaveMeeting extends Components.RtkLeaveMeeting {
    /**
     * Emits updated state data
     */
    rtkStateUpdate: EventEmitter<CustomEvent<IRtkLeaveMeetingStates>>;
}
export declare class RtkLivestreamIndicator {
    protected z: NgZone;
    protected el: HTMLRtkLivestreamIndicatorElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkLivestreamIndicator, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkLivestreamIndicator, "rtk-livestream-indicator", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkLivestreamIndicator extends Components.RtkLivestreamIndicator {
}
export declare class RtkLivestreamPlayer {
    protected z: NgZone;
    protected el: HTMLRtkLivestreamPlayerElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkLivestreamPlayer, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkLivestreamPlayer, "rtk-livestream-player", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkLivestreamPlayer extends Components.RtkLivestreamPlayer {
    /**
     * Emit API error events
     */
    rtkApiError: EventEmitter<CustomEvent<{
        trace: string;
        message: string;
    }>>;
}
export declare class RtkLivestreamToggle {
    protected z: NgZone;
    protected el: HTMLRtkLivestreamToggleElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkLivestreamToggle, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkLivestreamToggle, "rtk-livestream-toggle", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "t": { "alias": "t"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkLivestreamToggle extends Components.RtkLivestreamToggle {
    /**
     * Emits updated state data
     */
    rtkStateUpdate: EventEmitter<CustomEvent<IRtkLivestreamToggleStates>>;
    /**
     * Emit API error events
     */
    rtkApiError: EventEmitter<CustomEvent<{
        trace: string;
        message: string;
    }>>;
}
export declare class RtkLogo {
    protected z: NgZone;
    protected el: HTMLRtkLogoElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkLogo, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkLogo, "rtk-logo", never, { "config": { "alias": "config"; "required": false; }; "logoUrl": { "alias": "logoUrl"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkLogo extends Components.RtkLogo {
}
export declare class RtkMarkdownView {
    protected z: NgZone;
    protected el: HTMLRtkMarkdownViewElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkMarkdownView, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkMarkdownView, "rtk-markdown-view", never, { "maxLength": { "alias": "maxLength"; "required": false; }; "text": { "alias": "text"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkMarkdownView extends Components.RtkMarkdownView {
}
export declare class RtkMeeting {
    protected z: NgZone;
    protected el: HTMLRtkMeetingElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkMeeting, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkMeeting, "rtk-meeting", never, { "applyDesignSystem": { "alias": "applyDesignSystem"; "required": false; }; "config": { "alias": "config"; "required": false; }; "gridLayout": { "alias": "gridLayout"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "leaveOnUnmount": { "alias": "leaveOnUnmount"; "required": false; }; "loadConfigFromPreset": { "alias": "loadConfigFromPreset"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "mode": { "alias": "mode"; "required": false; }; "showSetupScreen": { "alias": "showSetupScreen"; "required": false; }; "size": { "alias": "size"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkMeeting extends Components.RtkMeeting {
    /**
     * States
     */
    rtkStatesUpdate: EventEmitter<CustomEvent<IRtkMeetingStates>>;
}
export declare class RtkMeetingTitle {
    protected z: NgZone;
    protected el: HTMLRtkMeetingTitleElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkMeetingTitle, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkMeetingTitle, "rtk-meeting-title", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkMeetingTitle extends Components.RtkMeetingTitle {
}
export declare class RtkMenu {
    protected z: NgZone;
    protected el: HTMLRtkMenuElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkMenu, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkMenu, "rtk-menu", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "offset": { "alias": "offset"; "required": false; }; "placement": { "alias": "placement"; "required": false; }; "size": { "alias": "size"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkMenu extends Components.RtkMenu {
}
export declare class RtkMenuItem {
    protected z: NgZone;
    protected el: HTMLRtkMenuItemElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkMenuItem, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkMenuItem, "rtk-menu-item", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "size": { "alias": "size"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkMenuItem extends Components.RtkMenuItem {
}
export declare class RtkMenuList {
    protected z: NgZone;
    protected el: HTMLRtkMenuListElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkMenuList, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkMenuList, "rtk-menu-list", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkMenuList extends Components.RtkMenuList {
}
export declare class RtkMessageListView {
    protected z: NgZone;
    protected el: HTMLRtkMessageListViewElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkMessageListView, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkMessageListView, "rtk-message-list-view", never, { "estimateItemSize": { "alias": "estimateItemSize"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "loadMore": { "alias": "loadMore"; "required": false; }; "messages": { "alias": "messages"; "required": false; }; "renderer": { "alias": "renderer"; "required": false; }; "visibleItemsCount": { "alias": "visibleItemsCount"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkMessageListView extends Components.RtkMessageListView {
}
export declare class RtkMessageView {
    protected z: NgZone;
    protected el: HTMLRtkMessageViewElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkMessageView, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkMessageView, "rtk-message-view", never, { "actions": { "alias": "actions"; "required": false; }; "authorName": { "alias": "authorName"; "required": false; }; "avatarUrl": { "alias": "avatarUrl"; "required": false; }; "hideAuthorName": { "alias": "hideAuthorName"; "required": false; }; "hideAvatar": { "alias": "hideAvatar"; "required": false; }; "hideMetadata": { "alias": "hideMetadata"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "time": { "alias": "time"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; "viewType": { "alias": "viewType"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkMessageView extends Components.RtkMessageView {
    /**
     * action event
     */
    action: EventEmitter<CustomEvent<string>>;
}
export declare class RtkMicToggle {
    protected z: NgZone;
    protected el: HTMLRtkMicToggleElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkMicToggle, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkMicToggle, "rtk-mic-toggle", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "t": { "alias": "t"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkMicToggle extends Components.RtkMicToggle {
    /**
     * Emits updated state data
     */
    rtkStateUpdate: EventEmitter<CustomEvent<IRtkMicToggleStates>>;
}
export declare class RtkMicrophoneSelector {
    protected z: NgZone;
    protected el: HTMLRtkMicrophoneSelectorElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkMicrophoneSelector, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkMicrophoneSelector, "rtk-microphone-selector", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "t": { "alias": "t"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkMicrophoneSelector extends Components.RtkMicrophoneSelector {
}
export declare class RtkMixedGrid {
    protected z: NgZone;
    protected el: HTMLRtkMixedGridElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkMixedGrid, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkMixedGrid, "rtk-mixed-grid", never, { "aspectRatio": { "alias": "aspectRatio"; "required": false; }; "config": { "alias": "config"; "required": false; }; "gap": { "alias": "gap"; "required": false; }; "gridSize": { "alias": "gridSize"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "layout": { "alias": "layout"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "participants": { "alias": "participants"; "required": false; }; "pinnedParticipants": { "alias": "pinnedParticipants"; "required": false; }; "plugins": { "alias": "plugins"; "required": false; }; "screenShareParticipants": { "alias": "screenShareParticipants"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkMixedGrid extends Components.RtkMixedGrid {
}
export declare class RtkMoreToggle {
    protected z: NgZone;
    protected el: HTMLRtkMoreToggleElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkMoreToggle, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkMoreToggle, "rtk-more-toggle", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkMoreToggle extends Components.RtkMoreToggle {
    /**
     * Emits updated state data
     */
    rtkStateUpdate: EventEmitter<CustomEvent<IRtkMoreToggleStates>>;
}
export declare class RtkMuteAllButton {
    protected z: NgZone;
    protected el: HTMLRtkMuteAllButtonElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkMuteAllButton, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkMuteAllButton, "rtk-mute-all-button", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "t": { "alias": "t"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkMuteAllButton extends Components.RtkMuteAllButton {
    /**
     * Emits updated state data
     */
    rtkStateUpdate: EventEmitter<CustomEvent<IRtkMuteAllButtonStates>>;
}
export declare class RtkMuteAllConfirmation {
    protected z: NgZone;
    protected el: HTMLRtkMuteAllConfirmationElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkMuteAllConfirmation, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkMuteAllConfirmation, "rtk-mute-all-confirmation", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkMuteAllConfirmation extends Components.RtkMuteAllConfirmation {
    /**
     * Emits updated state data
     */
    rtkStateUpdate: EventEmitter<CustomEvent<IRtkMuteAllConfirmationStates>>;
}
export declare class RtkNameTag {
    protected z: NgZone;
    protected el: HTMLRtkNameTagElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkNameTag, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkNameTag, "rtk-name-tag", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "isScreenShare": { "alias": "isScreenShare"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "participant": { "alias": "participant"; "required": false; }; "size": { "alias": "size"; "required": false; }; "t": { "alias": "t"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkNameTag extends Components.RtkNameTag {
}
export declare class RtkNetworkIndicator {
    protected z: NgZone;
    protected el: HTMLRtkNetworkIndicatorElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkNetworkIndicator, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkNetworkIndicator, "rtk-network-indicator", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "isScreenShare": { "alias": "isScreenShare"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "participant": { "alias": "participant"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkNetworkIndicator extends Components.RtkNetworkIndicator {
}
export declare class RtkNotification {
    protected z: NgZone;
    protected el: HTMLRtkNotificationElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkNotification, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkNotification, "rtk-notification", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "notification": { "alias": "notification"; "required": false; }; "size": { "alias": "size"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkNotification extends Components.RtkNotification {
    /**
     * Dismiss event
     */
    rtkNotificationDismiss: EventEmitter<CustomEvent<string>>;
}
export declare class RtkNotifications {
    protected z: NgZone;
    protected el: HTMLRtkNotificationsElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkNotifications, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkNotifications, "rtk-notifications", never, { "config": { "alias": "config"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkNotifications extends Components.RtkNotifications {
}
export declare class RtkOverlayModal {
    protected z: NgZone;
    protected el: HTMLRtkOverlayModalElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkOverlayModal, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkOverlayModal, "rtk-overlay-modal", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkOverlayModal extends Components.RtkOverlayModal {
    /**
     * Emits updated state data
     */
    rtkStateUpdate: EventEmitter<CustomEvent<IRtkOverlayModalStates>>;
}
export declare class RtkPaginatedList {
    protected z: NgZone;
    protected el: HTMLRtkPaginatedListElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkPaginatedList, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkPaginatedList, "rtk-paginated-list", never, { "autoScroll": { "alias": "autoScroll"; "required": false; }; "createNodes": { "alias": "createNodes"; "required": false; }; "emptyListLabel": { "alias": "emptyListLabel"; "required": false; }; "fetchData": { "alias": "fetchData"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "pageSize": { "alias": "pageSize"; "required": false; }; "pagesAllowed": { "alias": "pagesAllowed"; "required": false; }; "selectedItemId": { "alias": "selectedItemId"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkPaginatedList extends Components.RtkPaginatedList {
}
export declare class RtkParticipant {
    protected z: NgZone;
    protected el: HTMLRtkParticipantElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkParticipant, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkParticipant, "rtk-participant", never, { "config": { "alias": "config"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "participant": { "alias": "participant"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; "view": { "alias": "view"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkParticipant extends Components.RtkParticipant {
    /**
     * Emit notifications
     */
    rtkSendNotification: EventEmitter<CustomEvent<{
        trace: string;
        message: string;
    }>>;
}
export declare class RtkParticipantCount {
    protected z: NgZone;
    protected el: HTMLRtkParticipantCountElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkParticipantCount, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkParticipantCount, "rtk-participant-count", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkParticipantCount extends Components.RtkParticipantCount {
}
export declare class RtkParticipantSetup {
    protected z: NgZone;
    protected el: HTMLRtkParticipantSetupElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkParticipantSetup, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkParticipantSetup, "rtk-participant-setup", never, { "config": { "alias": "config"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "isPreview": { "alias": "isPreview"; "required": false; }; "nameTagPosition": { "alias": "nameTagPosition"; "required": false; }; "participant": { "alias": "participant"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkParticipantSetup extends Components.RtkParticipantSetup {
}
export declare class RtkParticipantTile {
    protected z: NgZone;
    protected el: HTMLRtkParticipantTileElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkParticipantTile, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkParticipantTile, "rtk-participant-tile", never, { "config": { "alias": "config"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "isPreview": { "alias": "isPreview"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "nameTagPosition": { "alias": "nameTagPosition"; "required": false; }; "participant": { "alias": "participant"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkParticipantTile extends Components.RtkParticipantTile {
    /**
     * Event triggered when tile is loaded
     */
    tileLoad: EventEmitter<CustomEvent<{
        participant: IRtkParticipantTilePeer;
        videoElement: HTMLVideoElement;
    }>>;
    /**
     * Event triggered when tile is unloaded
     */
    tileUnload: EventEmitter<CustomEvent<IRtkParticipantTilePeer>>;
}
export declare class RtkParticipants {
    protected z: NgZone;
    protected el: HTMLRtkParticipantsElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkParticipants, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkParticipants, "rtk-participants", never, { "config": { "alias": "config"; "required": false; }; "defaultParticipantsTabId": { "alias": "defaultParticipantsTabId"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkParticipants extends Components.RtkParticipants {
    /**
     * Emits updated state data
     */
    rtkStateUpdate: EventEmitter<CustomEvent<IRtkParticipantsStates>>;
}
export declare class RtkParticipantsAudio {
    protected z: NgZone;
    protected el: HTMLRtkParticipantsAudioElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkParticipantsAudio, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkParticipantsAudio, "rtk-participants-audio", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "preloadedAudioElem": { "alias": "preloadedAudioElem"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkParticipantsAudio extends Components.RtkParticipantsAudio {
    /**
     * Callback to execute when the dialog is closed
     */
    dialogClose: EventEmitter<CustomEvent<void>>;
}
export declare class RtkParticipantsStageList {
    protected z: NgZone;
    protected el: HTMLRtkParticipantsStageListElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkParticipantsStageList, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkParticipantsStageList, "rtk-participants-stage-list", never, { "config": { "alias": "config"; "required": false; }; "hideHeader": { "alias": "hideHeader"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "search": { "alias": "search"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; "view": { "alias": "view"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkParticipantsStageList extends Components.RtkParticipantsStageList {
}
export declare class RtkParticipantsStageQueue {
    protected z: NgZone;
    protected el: HTMLRtkParticipantsStageQueueElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkParticipantsStageQueue, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkParticipantsStageQueue, "rtk-participants-stage-queue", never, { "config": { "alias": "config"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "t": { "alias": "t"; "required": false; }; "view": { "alias": "view"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkParticipantsStageQueue extends Components.RtkParticipantsStageQueue {
}
export declare class RtkParticipantsToggle {
    protected z: NgZone;
    protected el: HTMLRtkParticipantsToggleElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkParticipantsToggle, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkParticipantsToggle, "rtk-participants-toggle", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkParticipantsToggle extends Components.RtkParticipantsToggle {
    /**
     * Emits updated state data
     */
    rtkStateUpdate: EventEmitter<CustomEvent<IRtkParticipantsToggleStates>>;
}
export declare class RtkParticipantsViewerList {
    protected z: NgZone;
    protected el: HTMLRtkParticipantsViewerListElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkParticipantsViewerList, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkParticipantsViewerList, "rtk-participants-viewer-list", never, { "config": { "alias": "config"; "required": false; }; "hideHeader": { "alias": "hideHeader"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "search": { "alias": "search"; "required": false; }; "size": { "alias": "size"; "required": false; }; "t": { "alias": "t"; "required": false; }; "view": { "alias": "view"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkParticipantsViewerList extends Components.RtkParticipantsViewerList {
}
export declare class RtkParticipantsWaitingList {
    protected z: NgZone;
    protected el: HTMLRtkParticipantsWaitingListElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkParticipantsWaitingList, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkParticipantsWaitingList, "rtk-participants-waiting-list", never, { "config": { "alias": "config"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "t": { "alias": "t"; "required": false; }; "view": { "alias": "view"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkParticipantsWaitingList extends Components.RtkParticipantsWaitingList {
}
export declare class RtkPermissionsMessage {
    protected z: NgZone;
    protected el: HTMLRtkPermissionsMessageElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkPermissionsMessage, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkPermissionsMessage, "rtk-permissions-message", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkPermissionsMessage extends Components.RtkPermissionsMessage {
    /**
     * Emits updated state data
     */
    rtkStateUpdate: EventEmitter<CustomEvent<IRtkPermissionsMessageStates>>;
}
export declare class RtkPipToggle {
    protected z: NgZone;
    protected el: HTMLRtkPipToggleElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkPipToggle, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkPipToggle, "rtk-pip-toggle", never, { "config": { "alias": "config"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkPipToggle extends Components.RtkPipToggle {
    /**
     * Emits updated state data
     */
    rtkStateUpdate: EventEmitter<CustomEvent<IRtkPipToggleStates>>;
}
export declare class RtkPluginMain {
    protected z: NgZone;
    protected el: HTMLRtkPluginMainElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkPluginMain, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkPluginMain, "rtk-plugin-main", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "plugin": { "alias": "plugin"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkPluginMain extends Components.RtkPluginMain {
}
export declare class RtkPlugins {
    protected z: NgZone;
    protected el: HTMLRtkPluginsElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkPlugins, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkPlugins, "rtk-plugins", never, { "config": { "alias": "config"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkPlugins extends Components.RtkPlugins {
    /**
     * Emits updated state data
     */
    rtkStateUpdate: EventEmitter<CustomEvent<IRtkPluginsStates>>;
}
export declare class RtkPluginsToggle {
    protected z: NgZone;
    protected el: HTMLRtkPluginsToggleElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkPluginsToggle, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkPluginsToggle, "rtk-plugins-toggle", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkPluginsToggle extends Components.RtkPluginsToggle {
    /**
     * Emits updated state data
     */
    rtkStateUpdate: EventEmitter<CustomEvent<IRtkPluginsToggleStates>>;
}
export declare class RtkPoll {
    protected z: NgZone;
    protected el: HTMLRtkPollElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkPoll, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkPoll, "rtk-poll", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "permissions": { "alias": "permissions"; "required": false; }; "poll": { "alias": "poll"; "required": false; }; "self": { "alias": "self"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkPoll extends Components.RtkPoll {
    /**
     * Event which is emitted when a poll is voted on
     */
    rtkVotePoll: EventEmitter<CustomEvent<{
        id: string;
        index: number;
    }>>;
}
export declare class RtkPollForm {
    protected z: NgZone;
    protected el: HTMLRtkPollFormElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkPollForm, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkPollForm, "rtk-poll-form", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkPollForm extends Components.RtkPollForm {
    /**
     * Event which is emitted when a poll is created
     */
    rtkCreatePoll: EventEmitter<CustomEvent<IRtkPollFormPollObject>>;
}
export declare class RtkPolls {
    protected z: NgZone;
    protected el: HTMLRtkPollsElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkPolls, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkPolls, "rtk-polls", never, { "config": { "alias": "config"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkPolls extends Components.RtkPolls {
}
export declare class RtkPollsToggle {
    protected z: NgZone;
    protected el: HTMLRtkPollsToggleElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkPollsToggle, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkPollsToggle, "rtk-polls-toggle", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkPollsToggle extends Components.RtkPollsToggle {
    /**
     * Emits updated state data
     */
    rtkStateUpdate: EventEmitter<CustomEvent<IRtkPollsToggleStates>>;
}
export declare class RtkRecordingIndicator {
    protected z: NgZone;
    protected el: HTMLRtkRecordingIndicatorElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkRecordingIndicator, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkRecordingIndicator, "rtk-recording-indicator", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkRecordingIndicator extends Components.RtkRecordingIndicator {
}
export declare class RtkRecordingToggle {
    protected z: NgZone;
    protected el: HTMLRtkRecordingToggleElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkRecordingToggle, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkRecordingToggle, "rtk-recording-toggle", never, { "disabled": { "alias": "disabled"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "t": { "alias": "t"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkRecordingToggle extends Components.RtkRecordingToggle {
    /**
     * Emit api error events
     */
    rtkApiError: EventEmitter<CustomEvent<{
        trace: string;
        message: string;
    }>>;
}
export declare class RtkScreenShareToggle {
    protected z: NgZone;
    protected el: HTMLRtkScreenShareToggleElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkScreenShareToggle, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkScreenShareToggle, "rtk-screen-share-toggle", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkScreenShareToggle extends Components.RtkScreenShareToggle {
    /**
     * Emits updated state data
     */
    rtkStateUpdate: EventEmitter<CustomEvent<IRtkScreenShareToggleStates>>;
    /**
     * Emit api error events
     */
    rtkApiError: EventEmitter<CustomEvent<{
        trace: string;
        message: string;
    }>>;
}
export declare class RtkScreenshareView {
    protected z: NgZone;
    protected el: HTMLRtkScreenshareViewElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkScreenshareView, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkScreenshareView, "rtk-screenshare-view", never, { "hideFullScreenButton": { "alias": "hideFullScreenButton"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "nameTagPosition": { "alias": "nameTagPosition"; "required": false; }; "participant": { "alias": "participant"; "required": false; }; "size": { "alias": "size"; "required": false; }; "t": { "alias": "t"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkScreenshareView extends Components.RtkScreenshareView {
    /**
     * Emits updated state data
     */
    rtkStateUpdate: EventEmitter<CustomEvent<IRtkScreenshareViewStates>>;
    /**
     * Emits when video playback happens successfully
     */
    screensharePlay: EventEmitter<CustomEvent<{
        participant: IRtkScreenshareViewPeer;
        screenshareParticipant: IRtkScreenshareViewPeer;
    }>>;
}
export declare class RtkSettings {
    protected z: NgZone;
    protected el: HTMLRtkSettingsElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkSettings, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkSettings, "rtk-settings", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkSettings extends Components.RtkSettings {
    /**
     * Emits updated state data
     */
    rtkStateUpdate: EventEmitter<CustomEvent<IRtkSettingsStates>>;
}
export declare class RtkSettingsAudio {
    protected z: NgZone;
    protected el: HTMLRtkSettingsAudioElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkSettingsAudio, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkSettingsAudio, "rtk-settings-audio", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkSettingsAudio extends Components.RtkSettingsAudio {
    /**
     * Event updated state
     */
    rtkStateUpdate: EventEmitter<CustomEvent<IRtkSettingsAudioStates>>;
}
export declare class RtkSettingsToggle {
    protected z: NgZone;
    protected el: HTMLRtkSettingsToggleElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkSettingsToggle, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkSettingsToggle, "rtk-settings-toggle", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkSettingsToggle extends Components.RtkSettingsToggle {
    /**
     * Emits updated state data
     */
    rtkStateUpdate: EventEmitter<CustomEvent<IRtkSettingsToggleStates>>;
}
export declare class RtkSettingsVideo {
    protected z: NgZone;
    protected el: HTMLRtkSettingsVideoElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkSettingsVideo, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkSettingsVideo, "rtk-settings-video", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkSettingsVideo extends Components.RtkSettingsVideo {
    /**
     * Emits updated state
     */
    rtkStateUpdate: EventEmitter<CustomEvent<IRtkSettingsVideoStates>>;
}
export declare class RtkSetupScreen {
    protected z: NgZone;
    protected el: HTMLRtkSetupScreenElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkSetupScreen, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkSetupScreen, "rtk-setup-screen", never, { "config": { "alias": "config"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkSetupScreen extends Components.RtkSetupScreen {
    /**
     * Emits updated state data
     */
    rtkStateUpdate: EventEmitter<CustomEvent<IRtkSetupScreenStates>>;
}
export declare class RtkSidebar {
    protected z: NgZone;
    protected el: HTMLRtkSidebarElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkSidebar, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkSidebar, "rtk-sidebar", never, { "config": { "alias": "config"; "required": false; }; "defaultSection": { "alias": "defaultSection"; "required": false; }; "enabledSections": { "alias": "enabledSections"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; "view": { "alias": "view"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkSidebar extends Components.RtkSidebar {
    /**
     * Emits updated state data
     */
    rtkStateUpdate: EventEmitter<CustomEvent<IRtkSidebarStates>>;
}
export declare class RtkSidebarUi {
    protected z: NgZone;
    protected el: HTMLRtkSidebarUiElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkSidebarUi, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkSidebarUi, "rtk-sidebar-ui", never, { "currentTab": { "alias": "currentTab"; "required": false; }; "hideCloseAction": { "alias": "hideCloseAction"; "required": false; }; "hideHeader": { "alias": "hideHeader"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "t": { "alias": "t"; "required": false; }; "tabs": { "alias": "tabs"; "required": false; }; "view": { "alias": "view"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkSidebarUi extends Components.RtkSidebarUi {
    /**
     * Tab change event
     */
    tabChange: EventEmitter<CustomEvent<string>>;
    /**
     * Tab change event
     */
    sidebarClose: EventEmitter<CustomEvent<void>>;
}
export declare class RtkSimpleGrid {
    protected z: NgZone;
    protected el: HTMLRtkSimpleGridElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkSimpleGrid, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkSimpleGrid, "rtk-simple-grid", never, { "aspectRatio": { "alias": "aspectRatio"; "required": false; }; "config": { "alias": "config"; "required": false; }; "gap": { "alias": "gap"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "participants": { "alias": "participants"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkSimpleGrid extends Components.RtkSimpleGrid {
}
export declare class RtkSpeakerSelector {
    protected z: NgZone;
    protected el: HTMLRtkSpeakerSelectorElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkSpeakerSelector, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkSpeakerSelector, "rtk-speaker-selector", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkSpeakerSelector extends Components.RtkSpeakerSelector {
}
export declare class RtkSpinner {
    protected z: NgZone;
    protected el: HTMLRtkSpinnerElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkSpinner, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkSpinner, "rtk-spinner", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "size": { "alias": "size"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkSpinner extends Components.RtkSpinner {
}
export declare class RtkSpotlightGrid {
    protected z: NgZone;
    protected el: HTMLRtkSpotlightGridElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkSpotlightGrid, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkSpotlightGrid, "rtk-spotlight-grid", never, { "aspectRatio": { "alias": "aspectRatio"; "required": false; }; "config": { "alias": "config"; "required": false; }; "gap": { "alias": "gap"; "required": false; }; "gridSize": { "alias": "gridSize"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "layout": { "alias": "layout"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "participants": { "alias": "participants"; "required": false; }; "pinnedParticipants": { "alias": "pinnedParticipants"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkSpotlightGrid extends Components.RtkSpotlightGrid {
}
export declare class RtkSpotlightIndicator {
    protected z: NgZone;
    protected el: HTMLRtkSpotlightIndicatorElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkSpotlightIndicator, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkSpotlightIndicator, "rtk-spotlight-indicator", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkSpotlightIndicator extends Components.RtkSpotlightIndicator {
}
export declare class RtkStage {
    protected z: NgZone;
    protected el: HTMLRtkStageElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkStage, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkStage, "rtk-stage", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkStage extends Components.RtkStage {
    /**
     * Emits updated state data
     */
    rtkStateUpdate: EventEmitter<CustomEvent<IRtkStageStates>>;
}
export declare class RtkStageToggle {
    protected z: NgZone;
    protected el: HTMLRtkStageToggleElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkStageToggle, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkStageToggle, "rtk-stage-toggle", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkStageToggle extends Components.RtkStageToggle {
    /**
     * Emits updated state data
     */
    rtkStateUpdate: EventEmitter<CustomEvent<IRtkStageToggleStates>>;
}
export declare class RtkSwitch {
    protected z: NgZone;
    protected el: HTMLRtkSwitchElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkSwitch, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkSwitch, "rtk-switch", never, { "checked": { "alias": "checked"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "readonly": { "alias": "readonly"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkSwitch extends Components.RtkSwitch {
    /**
     * Event when switch value is changed
     */
    rtkChange: EventEmitter<CustomEvent<boolean>>;
}
export declare class RtkTabBar {
    protected z: NgZone;
    protected el: HTMLRtkTabBarElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkTabBar, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkTabBar, "rtk-tab-bar", never, { "activeTab": { "alias": "activeTab"; "required": false; }; "config": { "alias": "config"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "layout": { "alias": "layout"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; "tabs": { "alias": "tabs"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkTabBar extends Components.RtkTabBar {
    /**
     * Set active tab
     */
    tabChange: EventEmitter<CustomEvent<IRtkTabBarTab>>;
}
export declare class RtkTextComposerView {
    protected z: NgZone;
    protected el: HTMLRtkTextComposerViewElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkTextComposerView, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkTextComposerView, "rtk-text-composer-view", never, { "disabled": { "alias": "disabled"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "keyDownHandler": { "alias": "keyDownHandler"; "required": false; }; "maxLength": { "alias": "maxLength"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; "rateLimitBreached": { "alias": "rateLimitBreached"; "required": false; }; "t": { "alias": "t"; "required": false; }; "value": { "alias": "value"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkTextComposerView extends Components.RtkTextComposerView {
    /**
     * Event emitted when text changes
     */
    textChange: EventEmitter<CustomEvent<string>>;
}
export declare class RtkTextMessage {
    protected z: NgZone;
    protected el: HTMLRtkTextMessageElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkTextMessage, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkTextMessage, "rtk-text-message", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "isContinued": { "alias": "isContinued"; "required": false; }; "message": { "alias": "message"; "required": false; }; "now": { "alias": "now"; "required": false; }; "showBubble": { "alias": "showBubble"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkTextMessage extends Components.RtkTextMessage {
}
export declare class RtkTextMessageView {
    protected z: NgZone;
    protected el: HTMLRtkTextMessageViewElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkTextMessageView, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkTextMessageView, "rtk-text-message-view", never, { "isMarkdown": { "alias": "isMarkdown"; "required": false; }; "text": { "alias": "text"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkTextMessageView extends Components.RtkTextMessageView {
}
export declare class RtkTooltip {
    protected z: NgZone;
    protected el: HTMLRtkTooltipElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkTooltip, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkTooltip, "rtk-tooltip", never, { "delay": { "alias": "delay"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "kind": { "alias": "kind"; "required": false; }; "label": { "alias": "label"; "required": false; }; "open": { "alias": "open"; "required": false; }; "placement": { "alias": "placement"; "required": false; }; "size": { "alias": "size"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkTooltip extends Components.RtkTooltip {
    /**
     * Event handler called when the open state of the tooltip changes.
     */
    rtkOpenChange: EventEmitter<CustomEvent<boolean>>;
}
export declare class RtkTranscript {
    protected z: NgZone;
    protected el: HTMLRtkTranscriptElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkTranscript, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkTranscript, "rtk-transcript", never, { "t": { "alias": "t"; "required": false; }; "transcript": { "alias": "transcript"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkTranscript extends Components.RtkTranscript {
    /**
     * Dismiss event
     */
    rtkTranscriptDismiss: EventEmitter<CustomEvent<{
        id: string;
        renderedId: string;
    }>>;
}
export declare class RtkTranscripts {
    protected z: NgZone;
    protected el: HTMLRtkTranscriptsElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkTranscripts, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkTranscripts, "rtk-transcripts", never, { "config": { "alias": "config"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkTranscripts extends Components.RtkTranscripts {
}
export declare class RtkUiProvider {
    protected z: NgZone;
    protected el: HTMLRtkUiProviderElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkUiProvider, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkUiProvider, "rtk-ui-provider", never, { "config": { "alias": "config"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "noRenderUntilMeeting": { "alias": "noRenderUntilMeeting"; "required": false; }; "showSetupScreen": { "alias": "showSetupScreen"; "required": false; }; "size": { "alias": "size"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkUiProvider extends Components.RtkUiProvider {
    /**
     * States event
     */
    rtkStatesUpdate: EventEmitter<CustomEvent<IRtkUiProviderStates>>;
}
export declare class RtkViewerCount {
    protected z: NgZone;
    protected el: HTMLRtkViewerCountElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkViewerCount, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkViewerCount, "rtk-viewer-count", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "t": { "alias": "t"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkViewerCount extends Components.RtkViewerCount {
}
export declare class RtkVirtualizedParticipantList {
    protected z: NgZone;
    protected el: HTMLRtkVirtualizedParticipantListElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkVirtualizedParticipantList, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkVirtualizedParticipantList, "rtk-virtualized-participant-list", never, { "bufferedItemsCount": { "alias": "bufferedItemsCount"; "required": false; }; "emptyListElement": { "alias": "emptyListElement"; "required": false; }; "itemHeight": { "alias": "itemHeight"; "required": false; }; "items": { "alias": "items"; "required": false; }; "renderItem": { "alias": "renderItem"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkVirtualizedParticipantList extends Components.RtkVirtualizedParticipantList {
}
export declare class RtkWaitingScreen {
    protected z: NgZone;
    protected el: HTMLRtkWaitingScreenElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<RtkWaitingScreen, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RtkWaitingScreen, "rtk-waiting-screen", never, { "config": { "alias": "config"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface RtkWaitingScreen extends Components.RtkWaitingScreen {
}
